import java.sql.*; 
import java.io.*; 

class create_a_table { 

  public static void main(String args[]) throws SQLException, IOException {

    String query;
           
    try {
      Class.forName ("oracle.jdbc.driver.OracleDriver");
    } catch (ClassNotFoundException e) {
        System.out.println("Could not load driver");
      }

    String user, pass, tableName;
    user = readEntry("userid  : ");
    pass = readEntry("password: ");
    tableName = readEntry("Your name (to be used as the table name): ");

    query =  "create table " + tableName + "( " +
             "PersonID       number(7) primary key," +
             "FirstName      varchar2(30) not null, " +
             "LastName       varchar2(30) not null, " +
             "PhoneAreaCode  number(3) not null, " +
             "PhoneNumber    number(7) not null) ";

    Connection conn = DriverManager.getConnection
                      ("jdbc:oracle:oci8:@addb", user, pass);

    Statement stmt = conn.createStatement (); 
    try {
      stmt.executeUpdate(query);
    } catch (SQLException e) {
      System.out.println("Could not create table. It is likely that the table already exists.");
      return;
    }
    System.out.println("Table created");

  }

  //readEntry function -- to read input string
  static String readEntry(String prompt) {
     try {
       StringBuffer buffer = new StringBuffer();
       System.out.print(prompt);
       System.out.flush();
       int c = System.in.read();
       while(c != '\n' && c != -1) {
         buffer.append((char)c);
         c = System.in.read();
       }
       return buffer.toString().trim();
     } catch (IOException e) {
       return "";
       }
   }

}
